APINotification delivery rules
Get delivery rule options
List available destinations, events, and conditions for project delivery rules.
GET https://api.sazabi.com/v1/notification-delivery-rules/options
Query Parameters
projectId?string
Project whose notification delivery rules are being managed.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/notification-delivery-rules/options"{ "destinations": [ { "id": "string", "channel": "slack_channel", "destinationKey": "string", "displayName": "string", "isDeliverable": true } ], "notificationTypes": [ { "notificationType": "issue_triggered", "label": "string", "conditions": [ "component" ], "channels": [ "slack_channel" ] } ], "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "lifecycle": "active" } ], "teams": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "ownedComponentCount": 0 } ], "channelCatalogs": { "slack": { "status": "pending", "lastSucceededAt": "string", "isInitialSyncPending": true }, "microsoftTeams": { "status": "pending", "lastSucceededAt": "string", "isInitialSyncPending": true } }}